<?

//-------------------------------fim da autenticação---------------------//

    include("authentication.php");

	include("conexao.php");

    require("funcoes.php");

	$id_usuario = $_SESSION["id_usuario"];

	$login =  $_SESSION["login"];  

//-------------------------------fim da autenticação---------------------//

if($_POST["dt_artigo"]==""){

$data_artigo = date("d/m/Y");

} else {

$data_artigo = $_POST["dt_artigo"];

}



// -------------------- Inclusão/Alteração/exclusão ------------------------------

if ($_POST['campo_funcao'] == "inc"){

  $result = mysqli_query($conexao,"insert into artigos SET 

  titulo='".valida_caracteres($_POST["titulo"])."',

  artigo='".valida_caracteres($_POST["artigo"])."',

  fonte_artigo='".valida_caracteres($_POST["fonte_artigo"])."',

  postado='".valida_caracteres($login)."',

  dt_artigo='".datapadrao_date($data_artigo)."'

  ") or die (mysqli_error($conexao));

  $registro= mysqli_insert_id();

              savelog($login, "Inseriu novo artigo: $registro - $_POST[titulo].");

}

else if (($_POST['campo_funcao'] == "alt")and($_POST['funcao_exc'] == "")){

  $result = mysqli_query($conexao,"UPDATE artigos SET 

  titulo='".valida_caracteres($_POST["titulo"])."',

  artigo='".valida_caracteres($_POST["artigo"])."',

  fonte_artigo='".valida_caracteres($_POST["fonte_artigo"])."',

  situacao='".valida_caracteres($_POST["situacao"])."',

  dt_artigo='".datapadrao_date($data_artigo)."'

  where id='".valida_caracteres($_POST["id_tcomp"])."'") or die(mysqli_error($conexao));



              savelog($login, "Alterou dados do artigo com o código: $_POST[id_tcomp] - $_POST[modelo].");

}

else if (($_POST['campo_funcao'] == "alt")and($_POST['funcao_exc'] == "exc")){

  $result = mysqli_query($conexao,"DELETE FROM artigos WHERE id = '$_POST[id_tcomp]'") or die(mysqli_error($conexao));

  

              savelog($login, "Excluiu o artigo com o código: $_POST[id_tcomp].");

}



$alerta = $_POST['campo_funcao']."alt".$_POST['funcao_exc'];

?>

<html>

<head>

<meta http-equiv="Pragma" content="no-cache">

<meta http-equiv="Expires" content="-1">

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<title>artigo</title>

<meta name="Description" content="">

<meta name="Author" content="Marcos Antonio Pereira Lopes">

<meta name="Keywords" content="">

<script language="JavaScript">

<!--

function Redireciona(){

  <? if (isset($_POST['campo_funcao'])){

 

       if ($_POST['campo_funcao'] == "inc"){

	     $time = time();   // P/ forçar a atualização da página... (não abrir do cache)

	     echo "open('cad_artigo_alt.php?id_tcomp=$registro', '_top');";

	   }else if ($_POST['campo_funcao'] == "alt")

	   	   if($_POST['funcao_exc'] == ""){

	       echo "open('cad_artigo_alt.php?id_tcomp=$_POST[id_tcomp]', '_top');";  

           }else{

	       echo "open('lista_artigos.php', '_top');";

           } 	   



      }

  ?>

 // alert("<? //echo $alerta ?>");

}

-->

</script>

</head>

<body onLoad="JavaScript:Redireciona()">  

	  



</body>

</html>